<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
IGAC proyecto SNC
@author			
@modified  		pedro.garcia
@version 		2.0
@description 	muestra el detalle de los predios de un folio que fue rechazado como trámite
@cu 			CU-CO-R-01
@param			managedBeanAvisosRechazados -> nombre del managed bean

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui"
        id="prediosAvisoRechazadoForm">

    <p:spacer height="20" width="1" />

    <p:dataTable
        id="prediosAvisoRechazadoDT"
        paginatorPosition="bottom" paginator="true" rows="10"
        paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
        rowsPerPageTemplate="5,10,15"
        emptyMessage="No hay resultados para esta búsqueda"
        value="#{managedBeanAvisosRechazados.selectedAvisoRechazado.avisoRegistroRechazoPredios}" var="rechazado">

        <f:facet name="header">
            Detalles predios aviso rechazado
        </f:facet>

        <p:column>
            <f:facet name="header">
                Departamento
            </f:facet>
            <h:outputText value="#{rechazado.predio.departamento.nombre}" styleClass="outputTextStyle"/>

        </p:column>

        <p:column>
            <f:facet name="header">
                Municipio
            </f:facet>
            <h:outputText value="#{rechazado.predio.municipio.nombre}" styleClass="outputTextStyle"/>

        </p:column>

        <p:column>
            <f:facet name="header">
                Número predial
            </f:facet>
            <h:outputText value="#{rechazado.predio.numeroPredial}" styleClass="outputTextStyle"/>
        </p:column>

        <p:column>
            <f:facet name="header">
                Número predial anterior
            </f:facet>
            <h:outputText value="#{rechazado.predio.numeroPredialAnterior}" styleClass="outputTextStyle"/>
        </p:column>

    </p:dataTable>
</h:form>
